package commentlogic

import (
	"context"

	"code.30cm.net/digimon/app-cloudep-comment-server/gen_result/pb/comment"
	"code.30cm.net/digimon/app-cloudep-comment-server/internal/svc"

	"github.com/zeromicro/go-zero/core/logx"
)

type EmptyLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewEmptyLogic(ctx context.Context, svcCtx *svc.ServiceContext) *EmptyLogic {
	return &EmptyLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *EmptyLogic) Empty(in *comment.NoneReq) (*comment.OKResp, error) {
	// todo: add your logic here and delete this line

	return &comment.OKResp{}, nil
}
